Bug 18203 - Right floats should be allowed to overflow past left border edge
: Right floats should be allowed to overflow past left border edge
Status: RESOLVED FIXED
: WebKit
CSS
: 528+ (Nightly build)
: Macintosh Mac OS X 10.5
: P2 Normal
Assigned To:
: http://css-class.com/test/css/overflo...
:
:
:
  Show dependency treegraph
 
Reported: 2008-03-28 19:08 PST by
Modified: 2008-09-03 11:32 PST (History)


Attachments
Remove the clamping code (585 bytes, patch)
2008-03-28 19:09 PST, Dave Hyatt
hyatt: review-
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-03-28 19:08:24 PST
See:

http://css-class.com/test/css/overflow/float-container-margin-overflow.htm

In current WebKit, the right float is not allowed to have its left edge extend beyond the left border edge.  This is not correct according to the CSS2.1 spec and does not match Firefox.
------- Comment #1 From 2008-03-28 19:09:47 PST -------
Created an attachment (id=20179) [details]
Remove the clamping code

Remove the code that clamps right floats to the left border edge.
------- Comment #2 From 2008-03-28 19:11:26 PST -------
I will land this patch with a better test case that doesn't depend on resizing the window.
------- Comment #3 From 2008-03-30 16:44:24 PST -------
(From update of attachment 20179 [details])
r=me because I know you'll add a ChangeLog and test case -- but why not do that before setting the review flag next time?
------- Comment #4 From 2008-03-30 17:07:15 PST -------
Because keeping a ChangeLog in my tree for days is a giant pain when I'm doing other work.
------- Comment #5 From 2008-04-06 10:49:20 PST -------
I have created a new test case without the need for scrolling. Just one element floated right. Firefox will hide the left edge of the float beyond the left edge of the viewpoint. Safari will show the full width of the float causing a horizontal scrollbar. See:

http://css-class.com/test/bug/float-right-left-edge-hidden.htm
------- Comment #6 From 2008-06-08 12:27:32 PST -------
Hyatt, are you planning on landing this?
------- Comment #7 From 2008-09-03 00:11:35 PST -------
(From update of attachment 20179 [details])
Let me get a test case and changelog.
------- Comment #8 From 2008-09-03 11:32:19 PST -------
Fixed in r36061.